Bug 837054 - 3.1 - Do not detach network from the bond during bond resize
3.1 - Do not detach network from the bond during bond resize
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
Meni Yakove
Network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 12:01 EDT by Igor Lvovsky
Modified: 2013-02-28 23:54 EST (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-21
Doc Type: Bug Fix
Doc Text:
Previously, during bond resizes, the network would detach from the bond. This error presented only for bridged non-VLANed networks. Networks no longer detach from the bond during bond resizing.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:02:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Lvovsky 2012-07-02 12:01:13 EDT
Description of problem:

Let's say you have bond and bridged non-VLANed network on it.
If you will try to resize the bond this network will be detached, but it should't.
It happens only for bridged non-VLANed networks, but all networks types should be checked:
1. bridged non-VLANed
2. bridged + VLAN
3. bridgeless non-VLANed
4. bridgeless + VLAN


The best way to check it, is do it with several networks attached (when acceptable) to the bond


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Igor Lvovsky 2012-07-05 08:13:22 EDT
http://gerrit.ovirt.org/#/c/5970/
Comment 3 Meni Yakove 2012-07-23 07:51:32 EDT
Verified on vdsm-4.9.6-23.0.el6_3.x86_64.
Comment 6 errata-xmlrpc 2012-12-04 14:02:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.